﻿' Die Vorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 dokumentiert.

''' <summary>
''' Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Dim cBS As New cls_BlinkStick
    Dim theBS As New cls_BlinkStick.BlinkStick

    Private Async Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click


        theBS = Await cBS.FindFirstAsync()

        If Not theBS Is Nothing Then
            Me.listBox.Items.Add(theBS.ID)
        Else
            Me.listBox.Items.Clear()
        End If
        Me.cmdConnect.IsEnabled = Not (theBS Is Nothing)
    End Sub

    Private Async Sub cmdConnect_Click(sender As Object, e As RoutedEventArgs) Handles cmdConnect.Click
        Dim result As Boolean = Await cBS.OpenDeviceAsync(theBS.ID)
        If result Then
            Me.listBox.Items.Add("Connected")
        Else
            Me.listBox.Items.Add("Not Connected")
        End If
    End Sub
End Class
